gnutls_kx_get_id(3)

NAME
gnutls_kx_get_id - API function

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_kx_algorithm_t gnutls_kx_get_id(const char * name);

ARGUMENTS

const char * name
    is a KX name

DESCRIPTION
Convert a string to a gnutls_kx_algorithm_t value. The names are compared in a case insensitive way.

RETURNS
an id of the specified KX algorithm, or GNUTLS_KX_UNKNOWN on error.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2018 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/